Issue 19986

Summary: progress bar/indicator needed during data insert in Calc
Product: Calc Reporter: ringerc <craig>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: issues, issues
Version: OOo 1.1 RC4   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description ringerc 2003-09-24 13:48:18 UTC
Hi folks

I've noticed that when inserting *large* volumes of data into Calc via the Data
Explorer, there is no progress indicator despite the fact that the insert can
take quite some time. As the GUI becomes largely unresponsive, it can give the
user the impression that the app has hung.

Specifically, try dragging an _entire_ database table into a Calc sheet. I did
it with a 12,000 record test database, entirely by accident (drag & drop of the
table from the explorer to the calc window). It took several minutes to insert
on a dual Xeon machine, during which time OO.o gave every appearance of having hung.

It'd be really nice to give some visual feedback during this operation. If we're
not going to offer an "are you sure" dialog when d&d'ing an entire table, it may
we wise to also offer the ability to cancel the operation.

Craig Ringer
Comment 1 Frank Schönheit 2003-09-25 08:19:15 UTC
Craig, thanks for reporting this.
I'll change the component to spreadsheet, since the import is done in
Calc, which only uses our API, but I'll keep issues@dba on the
interest list.
Comment 2 frank 2003-09-25 08:39:12 UTC
Hi Be4ttina,

1 4 u.

Frank
Comment 3 bettina.haberer 2003-11-12 12:09:55 UTC
A progress during data insert cannot be calculated and so cannot be
carried out. But an indicator could at least make visible, that data
are tranferred. Hello Niklas, please give approval for this evaluated
OO.o 2.0 flagged issue. 
If you confirm with the target OO.o 2.0, then please keep it on your
owner (or the owner of the concerning developer) for implementation.
In case you want this issue for 'OOo Later', then please reset the
target milestone. If you decline the issue finally, please set the
resolution to 'Wontfix' (but do not close). In case of 'OOo Later' or
'Wontfix' please reset it on Bettina's owner. Thank you.
Comment 4 niklas.nebel 2004-01-26 11:25:50 UTC
This is not on the list of features that we're going to do for 2.0. We need to
focus on the enhancements from the PCD document.
Comment 5 ace_dent 2008-05-16 02:55:47 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised has the status 'New' pending further action, but has not
been updated within the last 4 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 6 bettina.haberer 2010-05-21 15:07:44 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements".